-- select  so.`count` as sample, 
--         floor(LOG(10,so.`count`)) as bin, 
--         concat('[', floor(LOG(10,so.`count`)), ';', floor(LOG(10,so.`count`)) + 1, '[') as bin_display,
--         count(s.id) as 'count'
-- from main_star s
-- join `star_occurrence` so on so.star_id=s.id
-- where   
-- --     so.`count` > 0 and
--     so.`type`='file' and 
--     so.workspace_id=3 and 
--     so.computing_time>='2024-04-10 11:31:00.000'
-- group by bin 
-- order by sample;
-- 
-- select  so.`count` as sample, 
--         floor(LOG(10,so.`count`)) as bin, 
--         concat('[', floor(LOG(10,so.`count`)), ';', floor(LOG(10,so.`count`)) + 1, '[') as bin_display,
--         count(s.id) as 'count'
-- from main_star s
-- join `star_occurrence` so on so.star_id=s.id
-- where   
--     so.`type`='process' and
--     so.workspace_id=3 and
--     so.computing_time>='2024-04-10 11:31:19.000'
-- group by bin 
-- order by sample;

-- select 
-- s.simplified_spectral_type_value as `sample`, 
-- s.simplified_spectral_type_value div 100 as `bin`, 
-- concat('[', 100 * (s.simplified_spectral_type_value div 100), ';', 100 * (s.simplified_spectral_type_value div 100) + 100, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- group by `bin` 
-- order by s.simplified_spectral_type_value;
-- 
-- select 
-- s.luminosity_value as `sample`, 
-- s.luminosity_value div 100 as `bin`, 
-- concat('[', 100 * (s.luminosity_value div 100), ';', 100 * (s.luminosity_value div 100) + 100, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- group by `bin` 
-- order by s.luminosity_value;
-- 
-- select 
-- s.mag_g as `sample`, 
-- floor(s.mag_g / 1) as `bin`, 
-- concat('[', 1 * (floor(s.mag_g / 1)), ';', 1 * (floor(s.mag_g / 1)) + 1, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- group by `bin` 
-- order by s.mag_g;
-- 
-- select 
-- s.parallax as `sample`, 
-- floor(s.parallax / 1) as `bin`, 
-- concat('[', 1 * (floor(s.parallax / 1)), ';', 1 * (floor(s.parallax / 1)) + 1, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- group by `bin` 
-- order by s.parallax;
-- 
-- select 
-- so.`count` as `sample`, 
-- floor(LOG(10,so.`count`) / 1) as `bin`, 
-- concat('[', 1 * (floor(LOG(10,so.`count`) / 1)), ';', 1 * (floor(LOG(10,so.`count`) / 1)) + 1, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- inner join `star_occurrence` so on so.star_id=s.id 
-- where so.`type`='file'
-- and so.computing_time='2024-04-10 11:31:00.000'
-- group by `bin` 
-- order by so.`count`;
-- 
-- select 
-- so.`count` as `sample`, 
-- floor(LOG(10,so.`count`) / 1) as `bin`, 
-- concat('[', 1 * (floor(LOG(10,so.`count`) / 1)), ';', 1 * (floor(LOG(10,so.`count`) / 1)) + 1, '[') as `bin_display`, 
-- count(distinct s.id) as `count` 
-- from main_star s 
-- inner join `star_occurrence` so on (so.star_id=s.id and so.`type`='process')
-- group by `bin` 
-- order by `sample`;
-- 
-- select 
-- so.`count` as `sample`, 
-- floor(LOG(10,so.`count`) / 1) as `bin`, 
--   concat('[', 1 * (floor(LOG(10,so.`count`) / 1)), ';', 1 * (floor(LOG(10,so.`count`) / 1)) + 1, '[') as `bin_display`, 
--   count(distinct so.star_id) as `count` 
-- from `star_occurrence` so
-- where so.`type`='process' 
-- group by `bin` 
-- order by `sample`;

set @last = (select computing_time from star_occurrence where type='process' order by computing_time desc limit 1);
select so.`total` as `sample`, 
       floor(LOG(10,so.`total`) / 1) as `bin`, 
       concat('[', 1 * (floor(LOG(10,so.`total`) / 1)), ';', 1 * (floor(LOG(10,so.`total`) / 1)) + 1, '[') as `bin_display`, 
       count(distinct s.`id`) as `#stars` 
from `main_star` s 
inner join `star_occurrence` so on so.star_id=s.id
where   --so.`total` > 0 and
        so.`type`='process' and
        so.workspace_id in (3)
--     and so.`computing_time` = '2024-04-10 21:02:34'
group by `bin` 
order by `sample`;