-- most popular targets by file occurrence
SELECT s.id,s.identifier,s.simbad_main_identifier,s.spectral_type,o.total as '#files' FROM `main_star` s 
join star_occurrence o on o.star_id=s.id
where o.total > 10000 and o.`type`='file' and o.workspace_id=3
group by s.id
order by o.total desc;

-- most popular targets by process occurrence
SELECT s.id,s.identifier,s.simbad_main_identifier,s.spectral_type,o.total as '#processes' FROM `main_star` s 
join star_occurrence o on o.star_id=s.id
where o.total > 1000 and o.`type`='process' and o.workspace_id=3
group by s.id
order by o.total desc;