#!/bin/bash

# Configuration
JSON=/home/spherdwh/workspace/sphere/sphere-clients/sphere-client/target/packages.json

# Start JSON
cat > ${JSON} <<EOF
{
    "app": "sphere-client",
    "build": "$1",
    "main": "sphere-client.jar",
    "packages": {
EOF

# Add packages md5sum
find /home/spherdwh/workspace/sphere/sphere-clients/sphere-client/target/lib -type f -exec md5sum '{}' \; | sed -E 's/^(\S+)\s.+\/([^\/]+)$/        "lib\/\2": "\1",/' >> ${JSON}
md5sum /home/spherdwh/workspace/sphere/sphere-clients/sphere-client/target/classes/*git.properties | sed -E 's/^(\S+)\s.+\/([^\/]+)$/        "\2": "\1",/' >> ${JSON}
md5sum /home/spherdwh/workspace/sphere/sphere-clients/sphere-client/target/sphere-client.jar | sed -E 's/^(\S+)\s.+\/([^\/]+)$/        "\2": "\1"/' >> ${JSON}

# Close JSON
cat >> ${JSON} <<EOF
    }
}
EOF

# Display output
cat ${JSON}
